%global dlrn_nvr tripleo-ipa-0.2.3.dev1-2.20211006194843.63d70bb
%global dlrn 1
%define upstream_version 0.2.3.dev1
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname tripleo_ipa
%global rolename tripleo-ipa

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-%{rolename}
Version: 0.2.3
Release: 2.20211006194843.63d70bb%{?dist}
Summary:        Ansible assets for interacting with FreeIPA on behalf of TripleO

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://opendev.org/x/tripleo-ipa/
Source0: tripleo-ipa-0.2.3.dev1-2.20211006194843.63d70bb.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=63d70bb45750d5792a9e7c28da79550f3acebaca

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

Requires: ansible-freeipa
Requires: krb5-workstation
Requires: python%{pyver}-urllib-gssapi
Requires: python%{pyver}-six
Requires: python%{pyver}-netaddr
%if %{pyver} == 2
Requires: PyYAML
%else
Requires: python%{pyver}-PyYAML
%endif

%description

Ansible assets for interacting with FreeIPA on behalf of TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/


%changelog
* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.3-2.20211006194843.63d70bb
- Update patches
- Don't use upper-constraints with molecule

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.2-2.20210527211841.9159108
- Update patches

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.2-2.20210426184732.9159108
- Update patches

* Fri Apr 23 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.2-2.20210423184734.9159108
- Update patches
- Use value in default.conf instead of ansible_fqdn

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.1-1
- Update patches

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- fix in case of expired kerberos ticket

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Skip entries not in cloud_domain

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Fix lint and molecule jobs after release of cryptography3.4

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Switch to content provider template
- Pin ansible to less than 2.10.0

* Wed Sep 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- WIP: Namespace host_otp variable

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- trivial: spell out otp

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- trivial: update playbook name in documentation
- Use appropriate permissions for the keytab
- Add param to optionally install packages in ipa_client_install
- Fix missing virtualenv in molecule tests

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Playbooks to configure IPA server for tripleo use

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Add a reasonable default incase certmonger user isn't set

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- add tripleo-multinode-ipa to check

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Replace install-docker with ensure-docker

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Safely recreate hosts if they're not enrolled

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Check on module name

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Do not install dependencies in undercloud-ipa-install

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Conditionally decode hosts

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Add molecule tests

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches


